      SUBROUTINE GETRFI (RFIUNT)
      IMPLICIT NONE
C
C***********************************************************************
C
C   NAME- GETRFI
C
C   LANGUAGE- FORTRAN         TYPE- SUBROUTINE   COMPUTER- IBM SP
C
C   VERSION- 1.0    DATE- 10/06/98   PROGRAMMER- FRANK TILLEY (SES)
C   VERSION- 2.0    DATE- 11/09/04   PROGRAMMER- FRANK TILLEY (RAYTHEON)
C                   REMOVED BIAUNT FROM THE CALLING ARGUMENTS AND MODIFIED
C                   THE SUBROUTINE FOR USE IN ATOVS.
C
C   FUNCTION- THIS ROUTINE READS RFI ADJUSTMENT TABLES FROM TEXT
C             FILES AND STORES THEM IN COMMON /RFICOR/.
C
C
C   COMMON AREAS-
C
      INCLUDE 'RFICOR'
C
C   CALLING PARAMETERS-
C     VARIABLE       TYPE      I/O    DESCRIPTION
C     --------       ----      ---    -----------
C     RFIUNT          INT       I     UNIT NUMBER FOR THE RFI TABLE FILE
C
C
C   LOCAL VARIABLES-
C     NAME           TYPE        DESCRIPTION
C     ----           ----        -----------
C     I,J,K           INT        LOOP AND ARRAY INDEXES
C
C   SUBPROGRAMS CALLED- NONE
C
C   CALLED BY- SPGDVR
C
C***********************************************************************
C
      INTEGER    RFIUNT
C
      INTEGER    I, J, K
C
C-- READ IN THE ADJUSTMENT VALUES FOR AMSU-B RFI
C
C     STX1
      DO I = 1,92
         READ(RFIUNT,*) K,(SX1RFI(J,K),J=1,5)
      END DO
C     STX2
      DO I = 1,92
         READ(RFIUNT,*) K,(SX2RFI(J,K),J=1,5)
      END DO
C     STX3
      DO I = 1,92
         READ(RFIUNT,*) K,(SX3RFI(J,K),J=1,5)
      END DO
C     SARR
      DO I = 1,92
         READ(RFIUNT,*) K,(SARRFI(J,K),J=1,5)
      END DO
C
C-- CLOSE THE RFI TABLE FILE
C
      CLOSE(RFIUNT)
C
  100 CONTINUE
      RETURN
      END
